%define modname bitset
%define soname %{modname}.so
%define inifile A84_%{modname}.ini
%define incdir %(php-config --include-dir)
%define extdir %(php-config --extension-dir)

Summary:	BITSET library
Name:		php-%{modname}
Version:	3.0.1
Release:	%mkrel 17
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/bitset/
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:8.3.0
Requires:       php >= 3:8.3.0
Requires:       php-common = 3:8.3

%description
Sets of bits manipulating library.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv -f ../package*.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Fri Sep 08 2023 mokraemer <mokraemer> 3.0.1-17.mga10
+ Revision: 1985203
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 3.0.1-16.mga9
+ Revision: 1902462
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 3.0.1-15.mga9
+ Revision: 1879766
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 3.0.1-14.mga9
+ Revision: 1869989
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 3.0.1-13.mga9
+ Revision: 1869858
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 3.0.1-12.mga9
+ Revision: 1796794
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 3.0.1-11.mga9
+ Revision: 1759356
- rebuild for php 8.1

* Sun Nov 29 2020 mokraemer <mokraemer> 3.0.1-10.mga8
+ Revision: 1650245
+ rebuild (emptylog)

* Thu Jun 18 2020 mokraemer <mokraemer> 3.0.1-9.mga8
+ Revision: 1596248
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 3.0.1-8.mga8
+ Revision: 1538969
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 3.0.1-7.mga8
+ Revision: 1463514
+ rebuild (emptylog)

* Wed Dec 12 2018 mokraemer <mokraemer> 3.0.1-6.mga7
+ Revision: 1340424
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 3.0.1-5.mga7
+ Revision: 1325824
- updated requirements
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-4.mga7
+ Revision: 1300210
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 3.0.1-3.mga7
+ Revision: 1217352
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 3.0.1-2.mga7
+ Revision: 1180963
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 3.0.1-1.mga7
+ Revision: 1177145
- new version

* Thu Feb 25 2016 oden <oden> 2.0.1-1.mga6
+ Revision: 978980
- 2.0.1

* Fri Feb 12 2016 umeabot <umeabot> 2.0-10.mga6
+ Revision: 958276
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-9.mga5
+ Revision: 748815
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-8.mga5
+ Revision: 687101
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 2.0-7.mga5
+ Revision: 616533
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 2.0-6.mga4
+ Revision: 567639
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 2.0-5.mga4
+ Revision: 527788
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2.0-4.mga4
+ Revision: 442617
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 2.0-3.mga3
+ Revision: 393244
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 375705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 fwang <fwang> 2.0-1.mga3
+ Revision: 310120
- new version 2.0

* Sun Jul 22 2012 spuhler <spuhler> 1.0.1-1.mga3
+ Revision: 273544
- upgrade to 1.0.1

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0-17.mga2
+ Revision: 223863
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 1.0-16.mga2
+ Revision: 185073
- rebuild against php-5.3.9
  upgrade to 1.0.2

* Sun Feb 06 2011 spuhler <spuhler> 1.0-15.mga1
+ Revision: 47734
- removed buildroot definition from .spec
- imported package php-bitset

